diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_sql.py
new file mode 100644
index 000000000..04712bd5e
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_sql.py
@@ -0,0 +1,99 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+import uuid
+from unittest.mock import patch
+
+from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
+    import utils as tables_utils
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
+from . import utils as index_constraint_utils
+
+
+class IndexConstraintGetSqlTestCase(BaseTestGenerator):
+    """This class will fetch the index constraint(primary key or unique key)
+    sql of table column"""
+    skip_on_database = ['gpdb']
+
+    # Generates scenarios
+    scenarios = utils.generate_scenarios("index_constraint_sql",
+                                         index_constraint_utils.test_cases)
+
+    def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to add a "
+                            "index constraint(primary key or unique key).")
+
+        # Create schema
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to add a index "
+                            "constraint(primary key or unique key).")
+
+        # Create table
+        self.table_name = "table_indexconstraint_%s" % \
+                          (str(uuid.uuid4())[1:8])
+        self.table_id = tables_utils.create_table(self.server,
+                                                  self.db_name,
+                                                  self.schema_name,
+                                                  self.table_name)
+
+        # Create constraint
+        self.constraint_name = self.data["constraint_name"] + \
+            (str(uuid.uuid4())[1:8])
+        self.type = self.data["type"]
+        self.index_constraint_id = index_constraint_utils. \
+            create_index_constraint(self.server, self.db_name,
+                                    self.schema_name, self.table_name,
+                                    self.constraint_name, self.type)
+
+    def runTest(self):
+        """This function will fetch the index constraint(primary key or
+        unique key) sql of table column."""
+        if self.is_positive_test:
+            response = index_constraint_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+        else:
+            if self.mocking_required:
+                with patch(self.mock_data["function_name"],
+                           side_effect=[eval(self.mock_data["return_value"])]):
+                    response = index_constraint_utils.api_get(self)
+            elif 'index_constraint_id' in self.data:
+                self.index_constraint_id = self.data["index_constraint_id"]
+                response = index_constraint_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+            utils.assert_error_message(self, response)
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/utils.py
index 3eeffd6af..6559c3fd2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/utils.py
@@ -10,8 +10,79 @@
 
 import sys
 import traceback
+from urllib.parse import urlencode
 
 from regression.python_test_utils import test_utils as utils
+import os
+import json
+
+# Load test data from json file.
+CURRENT_PATH = os.path.dirname(os.path.realpath(__file__))
+with open(CURRENT_PATH + "/index_constraint_test_data.json") as data_file:
+    test_cases = json.load(data_file)
+
+
+# api method call
+def api_create(self):
+    return self.tester.post("{0}{1}/{2}/{3}/{4}/{5}/".
+                            format(self.url, utils.SERVER_GROUP,
+                                   self.server_id, self.db_id,
+                                   self.schema_id, self.table_id),
+                            data=json.dumps(self.data),
+                            content_type='html/json'
+                            )
+
+
+def api_delete(self, index_constraint_id=None):
+    if index_constraint_id is None:
+        index_constraint_id = self.index_constraint_id
+    return self.tester.delete("{0}{1}/{2}/{3}/{4}/{5}/{6}".
+                              format(self.url, utils.SERVER_GROUP,
+                                     self.server_id, self.db_id,
+                                     self.schema_id,
+                                     self.table_id,
+                                     index_constraint_id),
+                              data=json.dumps(self.data),
+                              follow_redirects=True
+                              )
+
+
+def api_get(self, index_constraint_id=None):
+    if index_constraint_id is None:
+        index_constraint_id = self.index_constraint_id
+    return self.tester.get("{0}{1}/{2}/{3}/{4}/{5}/{6}".
+                           format(self.url, utils.SERVER_GROUP,
+                                  self.server_id, self.db_id,
+                                  self.schema_id,
+                                  self.table_id,
+                                  index_constraint_id),
+                           data=json.dumps(self.data),
+                           follow_redirects=True
+                           )
+
+
+def api_get_msql(self, url_encode_data):
+    return self.tester.get("{0}{1}/{2}/{3}/{4}/{5}/{6}?{7}".
+                           format(self.url, utils.SERVER_GROUP,
+                                  self.server_id, self.db_id,
+                                  self.schema_id,
+                                  self.table_id,
+                                  self.index_constraint_id,
+                                  urlencode(url_encode_data)),
+                           data=json.dumps(self.data),
+                           follow_redirects=True
+                           )
+
+
+def api_put(self):
+    return self.tester.put("{0}{1}/{2}/{3}/{4}/{5}/{6}".
+                           format(self.url, utils.SERVER_GROUP,
+                                  self.server_id, self.db_id,
+                                  self.schema_id, self.table_id,
+                                  self.index_constraint_id
+                                  ), data=json.dumps(self.data),
+                           follow_redirects=True
+                           )
 
 
 def create_index_constraint(server, db_name, schema_name, table_name,
@@ -59,15 +130,14 @@ def create_index_constraint(server, db_name, schema_name, table_name,
         traceback.print_exc(file=sys.stderr)
 
 
-def verify_index_constraint(server, db_name, table_name):
+def verify_index_constraint(server, db_name, constraint_name):
     """
     This function verifies that index constraint(PK or UK) is exists or not.
+    :param constraint_name:
     :param server: server details
     :type server: dict
     :param db_name: database name
     :type db_name: str
-    :param table_name: table name
-    :type table_name: str
     :return index_constraint: index constraint record from database
     :rtype: tuple
     """
@@ -81,7 +151,7 @@ def verify_index_constraint(server, db_name, table_name):
         pg_cursor = connection.cursor()
         pg_cursor.execute(
             "SELECT oid FROM pg_constraint where conname='%s'" %
-            table_name)
+            constraint_name)
         index_constraint = pg_cursor.fetchone()
         connection.close()
         return index_constraint
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/tests/test_constraint_delete_multiple.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/tests/test_constraints_delete.py
similarity index 83%
rename from web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/tests/test_constraint_delete_multiple.py
rename to web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/tests/test_constraints_delete.py
index d3b3905e0..c438eaaf2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/tests/test_constraint_delete_multiple.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/tests/test_constraints_delete.py
@@ -19,24 +19,30 @@ from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
-from pgadmin.browser.server_groups.servers.databases.schemas.tables.\
+from pgadmin.browser.server_groups.servers.databases.schemas.tables. \
     constraints.check_constraint.tests import utils as chk_constraint_utils
-from pgadmin.browser.server_groups.servers.databases.schemas.tables.\
+from pgadmin.browser.server_groups.servers.databases.schemas.tables. \
     constraints.exclusion_constraint.tests import utils as exclusion_utils
-from pgadmin.browser.server_groups.servers.databases.schemas.tables.\
+from pgadmin.browser.server_groups.servers.databases.schemas.tables. \
     constraints.foreign_key.tests import utils as fk_utils
-from pgadmin.browser.server_groups.servers.databases.schemas.tables.\
+from pgadmin.browser.server_groups.servers.databases.schemas.tables. \
     constraints.index_constraint.tests import utils as index_constraint_utils
+from . import utils as constraints_utils
 
 
 class ConstraintDeleteMultipleTestCase(BaseTestGenerator):
     """This class will delete constraints under table node."""
-    scenarios = [
-        # Fetching default URL for table node.
-        ('Delete Constraints', dict(url='/browser/constraints/obj/'))
-    ]
+    url = '/browser/constraints/obj/'
+
+    # Generates scenarios from cast_test_data.json file
+    scenarios = utils.generate_scenarios("constraints_delete",
+                                         constraints_utils.test_cases)
 
     def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
@@ -45,6 +51,8 @@ class ConstraintDeleteMultipleTestCase(BaseTestGenerator):
                                                  self.server_id, self.db_id)
         if not db_con['data']["connected"]:
             raise Exception("Could not connect to database to add a table.")
+
+        # Create schema
         self.schema_id = schema_info["schema_id"]
         self.schema_name = schema_info["schema_name"]
         schema_response = schema_utils.verify_schemas(self.server,
@@ -52,6 +60,8 @@ class ConstraintDeleteMultipleTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add a table.")
+
+        # Create table
         self.table_name = "table_constraint_delete_%s" % \
                           (str(uuid.uuid4())[1:8])
         self.table_id = tables_utils.create_table(self.server,
@@ -113,24 +123,32 @@ class ConstraintDeleteMultipleTestCase(BaseTestGenerator):
 
     def runTest(self):
         """This function will delete constraints under table node."""
-        data = {'ids': [
+        self.data = {'ids': [
             {'id': self.check_constraint_id, '_type': 'check_constraint'},
             {'id': self.check_constraint_id_1, '_type': 'check_constraint'},
-            {'id': self.exclustion_constraint_id,
-             '_type': 'exclustion_constraint'},
             {'id': self.foreign_key_id, '_type': 'foreign_key'},
             {'id': self.primary_key_id, '_type': 'index_constraint'},
-            {'id': self.unique_constraint_id, '_type': 'index_constraint'}
+            {'id': self.unique_constraint_id, '_type': 'index_constraint'},
+            {'id': self.exclustion_constraint_id,
+             '_type': 'exclustion_constraint'}
         ]}
-        response = self.tester.delete(self.url + str(utils.SERVER_GROUP) +
-                                      '/' + str(self.server_id) + '/' +
-                                      str(self.db_id) + '/' +
-                                      str(self.schema_id) + '/' +
-                                      str(self.table_id) + '/',
-                                      data=json.dumps(data),
-                                      content_type='html/json',
-                                      follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+
+        if self.is_positive_test:
+            response = constraints_utils.api_delete(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+
+            # Verify in backend
+            for val in self.data["ids"]:
+                constraint_name = val["id"]
+                cross_check_res = constraints_utils.verify_constraint(
+                    self.server,
+                    self.db_name,
+                    constraint_name)
+                self.assertIsNone(cross_check_res,
+                                  "Deleted {0} still present".
+                                  format(constraint_name))
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/tests/test_constraints_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/tests/test_constraints_get.py
new file mode 100644
index 000000000..af67b3f03
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/tests/test_constraints_get.py
@@ -0,0 +1,167 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+import uuid
+import json
+
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
+from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
+    import utils as tables_utils
+from pgadmin.browser.server_groups.servers.databases.schemas.tables.\
+    constraints.check_constraint.tests import utils as chk_constraint_utils
+from pgadmin.browser.server_groups.servers.databases.schemas.tables.\
+    constraints.exclusion_constraint.tests import utils as exclusion_utils
+from pgadmin.browser.server_groups.servers.databases.schemas.tables.\
+    constraints.foreign_key.tests import utils as fk_utils
+from pgadmin.browser.server_groups.servers.databases.schemas.tables.\
+    constraints.index_constraint.tests import utils as index_constraint_utils
+from . import utils as constraints_utils
+
+
+class ConstraintDeleteMultipleTestCase(BaseTestGenerator):
+    """This class will delete constraints under table node."""
+    url = '/browser/constraints/obj/'
+
+    # Generates scenarios from cast_test_data.json file
+    scenarios = utils.generate_scenarios("constraints_get",
+                                         constraints_utils.test_cases)
+
+    # scenarios = [
+    #     # Fetching default URL for table node.
+    #     ('Get Constraints', dict(url='/browser/constraints/obj/'))
+    # ]
+
+    def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to add a table.")
+
+        # Create schema
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to add a table.")
+
+        # Create table
+        self.table_name = "table_constraint_delete_%s" % \
+                          (str(uuid.uuid4())[1:8])
+        self.table_id = tables_utils.create_table(self.server,
+                                                  self.db_name,
+                                                  self.schema_name,
+                                                  self.table_name)
+
+        # Create Check Constraints
+        self.check_constraint_name = "test_constraint_delete_%s" % \
+                                     (str(uuid.uuid4())[1:8])
+        self.check_constraint_id = \
+            chk_constraint_utils.create_check_constraint(
+                self.server, self.db_name, self.schema_name, self.table_name,
+                self.check_constraint_name)
+
+        self.check_constraint_name_1 = "test_constraint_delete1_%s" % (
+            str(uuid.uuid4())[1:8])
+        self.check_constraint_id_1 = \
+            chk_constraint_utils.create_check_constraint(
+                self.server, self.db_name, self.schema_name, self.table_name,
+                self.check_constraint_name_1)
+
+        # Create Exclusion Constraint
+        self.exclustion_constraint_name = "test_exclusion_get_%s" % (
+            str(uuid.uuid4())[1:8])
+        self.exclustion_constraint_id = \
+            exclusion_utils.create_exclusion_constraint(
+                self.server, self.db_name, self.schema_name, self.table_name,
+                self.exclustion_constraint_name
+            )
+
+        # Create Foreign Key
+        self.foreign_table_name = "foreign_table_foreignkey_get_%s" % \
+                                  (str(uuid.uuid4())[1:8])
+        self.foreign_table_id = tables_utils.create_table(
+            self.server, self.db_name, self.schema_name,
+            self.foreign_table_name)
+        self.foreign_key_name = "test_foreignkey_get_%s" % \
+                                (str(uuid.uuid4())[1:8])
+        self.foreign_key_id = fk_utils.create_foreignkey(
+            self.server, self.db_name, self.schema_name, self.table_name,
+            self.foreign_table_name)
+
+        # Create Primary Key
+        self.primary_key_name = "test_primary_key_get_%s" % \
+                                (str(uuid.uuid4())[1:8])
+        self.primary_key_id = \
+            index_constraint_utils.create_index_constraint(
+                self.server, self.db_name, self.schema_name, self.table_name,
+                self.primary_key_name, "PRIMARY KEY")
+
+        # Create Unique Key constraint
+        self.unique_constraint_name = "test_unique_constraint_get_%s" % (
+            str(uuid.uuid4())[1:8])
+
+        self.unique_constraint_id = \
+            index_constraint_utils.create_index_constraint(
+                self.server, self.db_name, self.schema_name, self.table_name,
+                self.unique_constraint_name, "UNIQUE")
+
+    def runTest(self):
+        """This function will delete constraints under table node."""
+        if self.is_positive_test:
+            response = constraints_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+
+        # data = {'ids': [
+        #     {'id': self.check_constraint_id, '_type': 'check_constraint'},
+        #     {'id': self.check_constraint_id_1, '_type': 'check_constraint'},
+        #     {'id': self.exclustion_constraint_id,
+        #      '_type': 'exclustion_constraint'},
+        #     {'id': self.foreign_key_id, '_type': 'foreign_key'},
+        #     {'id': self.primary_key_id, '_type': 'index_constraint'},
+        #     {'id': self.unique_constraint_id, '_type': 'index_constraint'}
+        # ]}
+        # response = self.tester.delete(self.url + str(utils.SERVER_GROUP) +
+        #                               '/' + str(self.server_id) + '/' +
+        #                               str(self.db_id) + '/' +
+        #                               str(self.schema_id) + '/' +
+        #                               str(self.table_id) + '/',
+        #                               data=json.dumps(data),
+        #                               content_type='html/json',
+        #                               follow_redirects=True)
+        # response = self.tester.get(self.url + str(utils.SERVER_GROUP) +
+        #                               '/' + str(self.server_id) + '/' +
+        #                               str(self.db_id) + '/' +
+        #                               str(self.schema_id) + '/' +
+        #                               str(self.table_id) + '/',
+        #                               data=json.dumps(data),
+        #                               content_type='html/json',
+        #                               follow_redirects=True)
+        # self.assertEquals(response.status_code, 200)
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/tests/test_constraints_get_nodes.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/tests/test_constraints_get_nodes.py
new file mode 100644
index 000000000..1a3fa33f5
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/tests/test_constraints_get_nodes.py
@@ -0,0 +1,135 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+import uuid
+import json
+
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
+from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
+    import utils as tables_utils
+from pgadmin.browser.server_groups.servers.databases.schemas.tables.\
+    constraints.check_constraint.tests import utils as chk_constraint_utils
+from pgadmin.browser.server_groups.servers.databases.schemas.tables.\
+    constraints.exclusion_constraint.tests import utils as exclusion_utils
+from pgadmin.browser.server_groups.servers.databases.schemas.tables.\
+    constraints.foreign_key.tests import utils as fk_utils
+from pgadmin.browser.server_groups.servers.databases.schemas.tables.\
+    constraints.index_constraint.tests import utils as index_constraint_utils
+from . import utils as constraints_utils
+
+
+class ConstraintDeleteMultipleTestCase(BaseTestGenerator):
+    """This class will delete constraints under table node."""
+    url = '/browser/constraints/nodes/'
+
+    # Generates scenarios from cast_test_data.json file
+    scenarios = utils.generate_scenarios("constraints_get_nodes",
+                                         constraints_utils.test_cases)
+
+    def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to add a table.")
+
+        # Create schema
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to add a table.")
+
+        # Create table
+        self.table_name = "table_constraint_delete_%s" % \
+                          (str(uuid.uuid4())[1:8])
+        self.table_id = tables_utils.create_table(self.server,
+                                                  self.db_name,
+                                                  self.schema_name,
+                                                  self.table_name)
+
+        # Create Check Constraints
+        self.check_constraint_name = "test_constraint_delete_%s" % \
+                                     (str(uuid.uuid4())[1:8])
+        self.check_constraint_id = \
+            chk_constraint_utils.create_check_constraint(
+                self.server, self.db_name, self.schema_name, self.table_name,
+                self.check_constraint_name)
+
+        self.check_constraint_name_1 = "test_constraint_delete1_%s" % (
+            str(uuid.uuid4())[1:8])
+        self.check_constraint_id_1 = \
+            chk_constraint_utils.create_check_constraint(
+                self.server, self.db_name, self.schema_name, self.table_name,
+                self.check_constraint_name_1)
+
+        # Create Exclusion Constraint
+        self.exclustion_constraint_name = "test_exclusion_get_%s" % (
+            str(uuid.uuid4())[1:8])
+        self.exclustion_constraint_id = \
+            exclusion_utils.create_exclusion_constraint(
+                self.server, self.db_name, self.schema_name, self.table_name,
+                self.exclustion_constraint_name
+            )
+
+        # Create Foreign Key
+        self.foreign_table_name = "foreign_table_foreignkey_get_%s" % \
+                                  (str(uuid.uuid4())[1:8])
+        self.foreign_table_id = tables_utils.create_table(
+            self.server, self.db_name, self.schema_name,
+            self.foreign_table_name)
+        self.foreign_key_name = "test_foreignkey_get_%s" % \
+                                (str(uuid.uuid4())[1:8])
+        self.foreign_key_id = fk_utils.create_foreignkey(
+            self.server, self.db_name, self.schema_name, self.table_name,
+            self.foreign_table_name)
+
+        # Create Primary Key
+        self.primary_key_name = "test_primary_key_get_%s" % \
+                                (str(uuid.uuid4())[1:8])
+        self.primary_key_id = \
+            index_constraint_utils.create_index_constraint(
+                self.server, self.db_name, self.schema_name, self.table_name,
+                self.primary_key_name, "PRIMARY KEY")
+
+        # Create Unique Key constraint
+        self.unique_constraint_name = "test_unique_constraint_get_%s" % (
+            str(uuid.uuid4())[1:8])
+
+        self.unique_constraint_id = \
+            index_constraint_utils.create_index_constraint(
+                self.server, self.db_name, self.schema_name, self.table_name,
+                self.unique_constraint_name, "UNIQUE")
+
+    def runTest(self):
+        """This function will delete constraints under table node."""
+        if self.is_positive_test:
+            response = constraints_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
